MPD: decoder/DecoderList.hxx File Reference

MPD 0.20.15

Functions | Variables
DecoderList.hxx File Reference
`#include "Compiler.h"`
Include dependency graph for DecoderList.hxx:

Go to the source code of this file.

## Functions
gcc_pure const struct DecoderPlugin * | decoder_plugin_from_name (const char *name) noexcept
void | decoder_plugin_init_all ()
void | decoder_plugin_deinit_all ()
template<typename F >
static const DecoderPlugin * | decoder_plugins_find (F f)
template<typename F >
static bool | decoder_plugins_try (F f)
template<typename F >
static void | decoder_plugins_for_each (F f)
template<typename F >
static void | decoder_plugins_for_each_enabled (F f)
gcc_pure gcc_nonnull_all bool | decoder_plugins_supports_suffix (const char *suffix) noexcept
| Is there at least once DecoderPlugin that supports the specified file name suffix? More...

## Variables
const struct DecoderPlugin *const | decoder_plugins []
bool | decoder_plugins_enabled []

## Function Documentation

## ◆ decoder_plugin_deinit_all()

void decoder_plugin_deinit_all | ( |  | ) |

## ◆ decoder_plugin_from_name()

gcc_pure const struct DecoderPlugin* decoder_plugin_from_name | ( | const char * | name | ) |
| noexcept

## ◆ decoder_plugin_init_all()

void decoder_plugin_init_all | ( |  | ) |

## ◆ decoder_plugins_find()

template<typename F >

static const DecoderPlugin* decoder_plugins_find | ( | F | f | ) |
| inlinestatic

Definition at line 46 of file DecoderList.hxx.

## ◆ decoder_plugins_for_each()

template<typename F >

static void decoder_plugins_for_each | ( | F | f | ) |
| inlinestatic

Definition at line 68 of file DecoderList.hxx.

## ◆ decoder_plugins_for_each_enabled()

template<typename F >

static void decoder_plugins_for_each_enabled | ( | F | f | ) |
| inlinestatic

Definition at line 76 of file DecoderList.hxx.

## ◆ decoder_plugins_supports_suffix()

gcc_pure gcc_nonnull_all bool decoder_plugins_supports_suffix | ( | const char * | suffix | ) |
| noexcept

Is there at least once DecoderPlugin that supports the specified file name suffix?

## ◆ decoder_plugins_try()

template<typename F >

static bool decoder_plugins_try | ( | F | f | ) |
| inlinestatic

Definition at line 57 of file DecoderList.hxx.

## Variable Documentation

## ◆ decoder_plugins

const struct DecoderPlugin* const decoder_plugins[]

## ◆ decoder_plugins_enabled

bool decoder_plugins_enabled[]